package jeliot.parser.error;

import java.lang.reflect.*;
import java.util.*;
import jeliot.parser.*;

/**
  * @author Pekka Uronen
  *
  * created         27.9.1999
  */
public class AmbiguousMethodException extends SemanticException {

    private Vector methods;
    
    /** Constructs a new exception.
      *
      *@param methods Vector holding the MethodPointer instances of the
      *     conflicting methods.
      */
    public AmbiguousMethodException(Vector methods) {
        this.methods = methods;
        info = "Ambiguous method";
    }
    
    public AmbiguousMethodException(Method meth1, Method meth2) {
      
    }
    
    public AmbiguousMethodException(Constructor const1, 
            Constructor const2) {
      
    }
}