package jeliot.parser.error;

import java.lang.reflect.*;
import java.util.*;
import jeliot.parser.*;

/**
  * @author Pekka Uronen
  *
  * created         31.9.1999
  */
public class DoubleDeclarationException extends SemanticException {

    private PVariableDeclarator m1, m2;
    
    public DoubleDeclarationException(
            PVariableDeclarator m1, 
            PVariableDeclarator m2) {
                
        this.m1 = m1;
        this.m2 = m2;
    }
    public String toString() {
         
         String fname = m1.getIdentifier();
        
         return (
            "<HTML><HEAD><TITLE>XXX</TITLE></HEAD>\n" +
            "<BODY bgcolor=white>" +
            "<H1>Variable declared twice.</H3>\n" +
            "<B>" + fname + "</B>" +
            "Your program declares the same variable "+
            "<B>" + fname + "</B>" +
            " twice. Not good!" 
            );
    }
}